
import pygame
import os
import Util
from Vector2 import Vector2
from Config import *

# Sprite class for pygame library
# Largely inspired by Chimp Tutorial 
# www.pygame.org/docs/tut/chimp/ChimpLineByLine.html
class Actor(pygame.sprite.Sprite):
	
	def __init__(self, imageFile = None, colorKey = None):
		pygame.sprite.Sprite.__init__(self)

		if imageFile is not None:
			self.setImage(imageFile, colorKey)
		
		# Velocity Vector
		self.vel = Vector2(0,0)

	def setRect(self,rect):
		self.image = pygame.Surface((rect.width,rect.height))
		self.rect = rect

	# largely tutorial's load_image method. Thanks!
	def setImage(self, imageFile, colorKey=None):
		self.image, self.rect = Util.loadImage(imageFile, colorKey)
	
	def setPos(self, newX, newY):
		self.rect.center = (newX, newY)
	
	def getPos(self):
		return self.rect.center

	def getRect(self):
		return self.rect
	
	def setVel(self, newVel):
		self.vel = newVel
	
	def getVel(self):
		return self.vel

	def update(self):
		self.rect.move_ip((self.vel[0], self.vel[1]))
