import pygame
import Util
import os

from Actor import Actor
from Vector2 import Vector2
from Config import *

#Inherit from class Actor for animation
class AnimActor(Actor):
	def __init__(self, imageFiles = None, colorKey = None, animSpeed = 5):
		pygame.sprite.Sprite.__init__(self)
		self.imageSprites = []
		self.colorKey = colorKey

		if imageFiles is not None:
			for i in imageFiles:
				self.appendImage(i, colorKey)
			self.rect = self.imageSprites[0].get_rect()
			self.image = self.imageSprites[0]
		
		self.vel = Vector2(0,0)
		self.counter = 0
		self.imageIndex = 0
		self.animationSpeed = animSpeed
		
	def appendImage(self, image, colorKey = None):
		currImage, currRect = Util.loadImage(image, colorKey)
		self.imageSprites.append(currImage)

	def update(self):
		if self.counter == 0:
			self.imageIndex = (self.imageIndex + 1) % len(self.imageSprites)
			self.image = self.imageSprites[self.imageIndex]
		
		self.counter = (self.counter + 1) % self.animationSpeed

	def setFrame(self, frame = 0):
		if frame <= len(self.imageSprites):
			self.image = self.imageSprites[frame]
			self.imageIndex = frame

	def setAnimSpeed(self, speed):
		if speed >= 0:
			self.animSpeed = speed
