
# Enemy.py
# A class that inherits from AnimActor and represents any AnimActor that will
# move around the map. These must be drawn and moved differently than stationary
# objects.

import random
from pygame import Rect
##from AnimActor import AnimActor
from Actor import Actor
from Node import Node
from Vector2 import Vector2

ERRATICITY = 20
SKULL_VELOCITY = 4
    
class Enemy(Actor):

    def __init__(self, imageFiles = None, colorKey = None, animSpeed = 5):
##		AnimActor.__init__(self, imageFiles, colorKey, animSpeed)
                Actor.__init__(self, imageFiles, colorKey)
		
		# Enemies will have three velocities. One represents their personal vel
		# without consideration of the moving background that they stand on,
		# one represents the player velocity (the speed that the bg moves below
		# them), and the third is the two added together to get their adjusted
		# velocity.
		self.persVel = Vector2(SKULL_VELOCITY,0)
		self.playerVel = Vector2(0,0)
		self.adjustedVel = Vector2(0,0)

		self.tempVel = Vector2(0,0)

		self.frameCounter = 0  # tracks number of frames that elapse

		#generateRandomVelocity()
    
    def setPos(self, newX, newY):
##		AnimActor.setPos(self,newX, newY)
        Actor.setPos(self,newX, newY)
	
    def setPlayerVel(self, newVel):
		self.playerVel = newVel

    def update(self):
##		AnimActor.update(self)
		Actor.update(self)

##		frameNum = self.frameCounter % ERRATICITY

##                if frameNum == 0:
##                    self.tempVel = self.persVel
##                    self.persVel = Vector2(0,0)
##                elif frameNum == 1:
##                    self.persVel = self.tempVel.rotate(random.randint(0, 359))            
                if self.frameCounter % ERRATICITY == 0:
                    self.persVel.rotate(random.randint(0, 359))
                    
                    
                self.frameCounter += 1
		# For every x number of updates, do a velocity change.
		
		
		# add the two velocity vectors to create an absolute vel vector
		self.adjustedVel = self.persVel + self.playerVel
##		print self.adjustedVel
		self.rect.move_ip((self.adjustedVel.x, self.adjustedVel.y))


    
