# EventHandler
# Processes keyboard/mouse events and acts accordingly

import pygame
import sys # for exit()

from pygame.locals import *

class EventHandler():
	
	def __init__(self, main):
		self.main = main

	# Pass event information to main	
	def handleEvents(self):
		for event in pygame.event.get():
			if event.type == QUIT:
				sys.exit()

			if event.type == pygame.KEYDOWN:
				self.main.keyDown(event.key)
			
			if event.type == pygame.KEYUP:
				self.main.keyUp(event.key)
