
import Util
import pygame
from Actor import Actor
from pygame.locals import *

class Menu:
    def __init__(self):
        self.titleFont = pygame.font.Font(None, 36)
        self.indexLast = len(self.items);
        self.indexCurrent = 0
        if self.offset == None:
            self.offset = (10,10)
        self.titlePreviousItem = 0
        if(self.bgImg != None):
            self.bg = Actor(self.bgImg)
            self.bgGroup = pygame.sprite.RenderPlain((self.bg))
    
    def next(self):
        if(self.indexCurrent+1 == self.indexLast):
            self.indexCurrent = 0
        else:
            self.indexCurrent += 1
    
    def previous(self):
        if(self.indexCurrent == 0):
            self.indexCurrent = self.indexLast-1
        else:
            self.indexCurrent -= 1
    
    def renew(self,screen):
        self.indexCurrent = 0
        self.renderScreen(screen)
    
    def itemChanged(self):
        r = False
        if(self.titlePreviousItem != self.indexCurrent):
            self.titlePreviousItem = self.indexCurrent
            r = True
             
        return r
    
    def renderScreen(self,screen):
        self.screen = screen
        self.ren = [0]*self.indexLast
        if(self.bgImg == None):
            self.screen.fill((0,0,0))
        else:
            self.bgGroup.draw(self.screen)
            
        for self.curIndex, itemString in enumerate(self.items):    
            if self.curIndex == self.indexCurrent:
                color = (255,0,0)
            else:
                color = (255,99,99)
            
            self.ren[self.curIndex] = self.titleFont.render(itemString, 2, color)
            
            self.screen.blit(self.ren[self.curIndex], (self.offset[0], self.offset[1] + 40*self.curIndex))