import pygame
import Util
import os

from AnimActor import AnimActor

class Player(AnimActor):
        PLAYER_ANIMATION_SPEED = 8
	def __init__(self, playerAnimSpeed = PLAYER_ANIMATION_SPEED):
		AnimActor.__init__(self, colorKey = -1, animSpeed = playerAnimSpeed)
		
		self.animSpeed = playerAnimSpeed

		self.playerDirection = "Down"
		
		self.skullsLeft = 9

		#Lists that store player images depending on direction
		self.playerUp = []
		self.playerDown = []
		self.playerLeft = []
		self.playerRight = []

		#Load player images and put into corresponding list
		self.playerUp.append(self.load(os.path.join("player", "player_up1.png")))
		self.playerUp.append(self.load(os.path.join("player", "player_up2.png")))
		self.playerUp.append(self.load(os.path.join("player", "player_up3.png")))

		self.playerDown.append(self.load(os.path.join("player", "player_down1.png")))
		self.playerDown.append(self.load(os.path.join("player", "player_down2.png")))
		self.playerDown.append(self.load(os.path.join("player", "player_down3.png")))

		self.playerLeft.append(self.load(os.path.join("player", "player_left1.png")))
		self.playerLeft.append(self.load(os.path.join("player", "player_left2.png")))
		self.playerLeft.append(self.load(os.path.join("player", "player_left3.png")))

		self.playerRight.append(self.load(os.path.join("player", "player_right1.png")))
		self.playerRight.append(self.load(os.path.join("player", "player_right2.png")))
		self.playerRight.append(self.load(os.path.join("player", "player_right3.png")))

		#Set player rect and starting image to player up
		self.rect = self.playerDown[0].get_rect()
		self.image = self.playerDown[0]


	def load(self, image):
		currImage, currRect = Util.loadImage(image, self.colorKey)
		return currImage


	#Sets the direction of the player and changes to correct image
	def setPlayerDirection(self, direction):
		self.playerDirection = direction
		
		if self.playerDirection == "Up":
			self.image = self.playerUp[0]
		if self.playerDirection == "Down":
			self.image = self.playerDown[0]
		if self.playerDirection == "Left":
			self.image = self.playerLeft[0]
		if self.playerDirection == "Right":
			self.image = self.playerRight[0]

	def update(self):
		if self.counter == 0:
			self.imageIndex = (self.imageIndex + 1) % len(self.playerUp)
			if self.playerDirection == "Up":
				self.image = self.playerUp[self.imageIndex]
			if self.playerDirection == "Down":
				self.image = self.playerDown[self.imageIndex]
			if self.playerDirection == "Left":
				self.image = self.playerLeft[self.imageIndex]
			if self.playerDirection == "Right":
				self.image = self.playerRight[self.imageIndex]
		
		self.counter = (self.counter + 1) % self.animSpeed

	# Set to idle image of player (call when player stops moving)
	def idle(self):
		if self.playerDirection == "Up":
			self.image = self.playerUp[0]
		if self.playerDirection == "Down":
			self.image = self.playerDown[0]
		if self.playerDirection == "Left":
			self.image = self.playerLeft[0]
		if self.playerDirection == "Right":
			self.image = self.playerRight[0]
						
