import pygame

import sys
import os
import data
import Util
from Actor import Actor
from Menu import Menu
from Config import *

# todo: move this into config
TITLE_SCREEN_OPTIONS	= ["New Game","Load Game","Options","Exit"]
TITLE_SCREEN_BACKGROUND = "bg_title.bmp"

class TitleScreen(Menu):
	def __init__(self):
		self.items = TITLE_SCREEN_OPTIONS
		self.offset = (WIDTH - 200, 300)
		self.bgImg = TITLE_SCREEN_BACKGROUND
		Menu.__init__(self)	 
		
	def updateState(self,game_obj):
		self.game = game_obj
		if(self.indexCurrent == 0): # create new game
			self.createGame()
		elif(self.indexCurrent == 1): # load a saved game
			self.loadGame()
		elif(self.indexCurrent == 2): # show game options
			self.optionsMenu()
		elif(self.indexCurrent == 3): # exit game
			self.exitGame()

	def createGame(self):
		#self.game.theMap = Map("mapFileExample.mf")
		
		# load sounds
		pygame.mixer.music.load(data.filepath(os.path.join("sounds", "sanctuary.mid")))
		pygame.mixer.music.play(-1)
		self.game.skullSound = Util.loadSound("powerup.wav")
		
		self.game.g.loadBackground(BACKGROUND_IMAGE)
		self.game.g.loadPlayer()
		self.game.animatePlayer = False
		self.game.g.loadSkulls(EXPLOSION_SPRITES)
		self.game.g.loadHud()
		self.game.bg = self.game.g.bg
		
		self.game.state = "PLAY"
		self.game.g.notifyStateChange()

		self.game.startTime = pygame.time.get_ticks()

	def loadGame(self):
		pass

	def optionsMenu(self):
		pass

	def exitGame(self):
		# TODO: Ask for confirmation first?
		sys.exit()
		
	
			
